[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TRect.Move

Move rectangle along a vector.

## Declaration

Source position: objects.pp line 250

`procedure TRect.Move(`
`ADX: Sw_Integer;`
`ADY: Sw_Integer`
`);`

## Description

Move moves the current rectangle along a vector with components (ADX,ADY). It adds ADX to the X-coordinate of both corner points, and ADY to both end points.

## Errors

None.

## See also

TRect.Grow |  | Expand rectangle with certain size.

## Example

    Program ex5;

    { Program to demonstrate TRect.Move }

    Uses objects;

    Var ARect,BRect : TRect;

    begin
      ARect.Assign(10,10,20,20);
      ARect.Move(5,5);
      // Brect should be where new ARect is.
      BRect.Assign(15,15,25,25);
      If ARect.Equals(BRect) Then
        Writeln ('ARect equals BRect')
      Else
        Writeln ('ARect does not equal BRect !');
    end.